GET V1/Inventory.{ext}/SiteSavingsSpendData?siteId={siteId}&year={year}&classificationid={classificationid}&pageIndex={pageIndex}&pageSize={pageSize}

This API used to get Savings and Spend for the last 12 months from the current month .

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

1092

string

Default value is

year

No description available

string

Default value is

classificationid

10

string

Default value is

pageIndex

Indicates how many records to skip.(Ex:-1)

integer

Default value is 0

pageSize

TIndicates number of records to be returned.(Ex:-10)

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

returns to get Savings and Spend for the last 12 months from the current month

EMSResponseOfEMS.Inventory.Entities.SiteSavingsSpendData
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.SiteSavingsSpendData

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SiteSavingsSpendData",
  "response": {
    "siteSpendSavingDatalist": [
      {
        "month": "sample string 1",
        "year": "sample string 2",
        "savings": "sample string 3",
        "spend": "sample string 4",
        "siteId": "sample string 5",
        "siteNumber": "sample string 6",
        "rowId": "sample string 7"
      },
      {
        "month": "sample string 1",
        "year": "sample string 2",
        "savings": "sample string 3",
        "spend": "sample string 4",
        "siteId": "sample string 5",
        "siteNumber": "sample string 6",
        "rowId": "sample string 7"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.